Skip to main content
POST
Create a release policy

Authorizations

Authorization
string
header
required

Headers

LD-API-Version
enum<string>
required

Version of the endpoint.

Available options:
beta

Path Parameters

projectKey
string
required

The project key

Body

application/json

Release policy to create

releaseMethod
enum<string>
required

The release method for this policy

Available options:
guarded-release,
immediate-release,
progressive-release
name
string
required

The name of the release policy

Maximum string length: 256
Example:

"Production Release"

key
string
required

The human-readable key of the release policy

Example:

"production-release"

scope
object
Example:
guardedReleaseConfig
object

Configuration for guarded releases

Example:
progressiveReleaseConfig
object

Configuration for progressive releases

Example:

Response

Release policy created successfully

_id
string
required

The unique identifier of the release policy

Example:

"550e8400-e29b-41d4-a716-446655440000"

rank
integer
required

The rank/priority of the release policy

Example:

1

releaseMethod
enum<string>
required

The release method for this policy

Available options:
guarded-release,
immediate-release,
progressive-release
name
string
required

The name of the release policy

Maximum string length: 256
Example:

"Production Release"

key
string
required

The human-readable key of the release policy

Example:

"production-release"

_access
object
Example:
scope
object
Example:
guardedReleaseConfig
object

Configuration for guarded releases

Example:
progressiveReleaseConfig
object

Configuration for progressive releases

Example: